Composite <- function(var, occurrences) {
  #
  # This function composites the 3-d field (x, y, time) according the indices
  # of occurrences (nclusters, time) and compute the pvalue of the anomalies
  # obtained.
  # 
  # Args
  #  var : 3-dimensional matrice (x, y, time) containing the variable to 
  #        composite
  #  occurrences : 2-dimension matrice (nclusters, time) containing 1 (when
  #                 a given cluster occurs) or 0 (when it does not occur)
  #
  # Return :
  #   composites : 2-dimensional matrice (x, y) containing the composites  
  #   pvalue   : 2-dimensional matrice (x, y) containing the pvalue of the 
  #              composite anomalies obtained through a t-test
  #              that accounts for the serial dependence of the data
  #
  # History:
  #   
##############################################################################

# HEre there should be simply a call to Mean1Dim on var[,,occurrences]
#  and then a loop on the spatial dimensions to call Eno to get the number
# of independent data and then a call to t.test to get the pvalue

# Then you send the composites and pvalue as a list


}







}
